javax.servlet.annotation

## Annotation Type ServletSecurity

-     @Inherited
       @Target(value=TYPE)
       @Retention(value=RUNTIME)
       @Documented
      public @interface ServletSecurity

  Declare this annotation on a `Servlet` implementation class to enforce security constraints on HTTP protocol requests.
  The container applies constraints to the URL patterns mapped to each Servlet which declares this annotation.
  Since:
    Servlet 3.0

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `HttpMethodConstraint[]` | `httpMethodConstraints` An array of HttpMethodConstraint objects to which the security constraint will be applied
    `HttpConstraint` | `value` The default constraint to apply to requests not handled by specific method constraints

- - ### Element Detail

    - #### value

          public abstract HttpConstraint value

      The default constraint to apply to requests not handled by specific method constraints
      Returns:
        http constraint
      Default:
        @javax.servlet.annotation.HttpConstraint

  - - #### httpMethodConstraints

          public abstract HttpMethodConstraint[] httpMethodConstraints

      An array of HttpMethodConstraint objects to which the security constraint will be applied
      Returns:
        array of http method constraint
      Default:
        {}

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.